注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

 
 
 
 
 

日志

 
 

解决metasploit(msf)在kali linux(BT5 RC3 32)中无法升级的问题  

2015-07-14 15:47:48|  分类: Linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
这个方法我想也同样适用BT5RC3.
在默认情况下,输入msfupdate。一段时间过后,提示没有更新而且msf版本是4.6.
原因是:第一,更新地址被墙了。第二,msfupdate 指令通过读取源(source.list)更新的。由于在这个文件里的源没有msf的更新。
解决办法:添加源:进入路径etc/apt。找到source.list。将其备份。打开这个文件。添加
deb http://http.kali.org/kali kali main non-free contrib
deb-src http://http.kali.org/kali kali main non-free contrib
保存后。
输入指令 apt-get update
现在输入msfupdate看可以么?如果不行那么就被墙了。
然后再安装VPN PPTP
输入如下指令
apt-get install network-manager-pptp
                apt-get install network-manager-pptp-gnome
                apt-get install network-manager-strongswan
                apt-get install network-manager-vpnc
                apt-get install network-manager-vpnc-gnome
/etc/init.d/network-manager restart
然后再连上VPN试试。送上VPN一枚。

Client ID:                       client02927088  用户名
Password:                        30d8af412

下面是地址;也就是网关。

217.147.94.149    (United Kingdom)
109.75.167.42     (United Kingdom)
64.251.22.13      (United States)
62.75.181.139     (Germany)
  评论这张
 
阅读(116)| 评论(0)
推荐

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017